/*
 Theme Name:     divi-child_lepetitpredelagrange
 Theme URI:      https://lepetitpredelagrange.com/
 Description:    Theme Enfant Divi
 Author:         Thomas Saint-Dizier
 Author URI:     https://phaseimage.com/
 Template:       Divi
 Version:        2025
*/
 
 
/* =Personnalisation à partir d'ici. 
------------------------------------------------------- */

/*Fixer menu mobile*/
@media (max-width: 980px) {
.et_non_fixed_nav.et_transparent_nav #main-header, .et_non_fixed_nav.et_transparent_nav #top-header, .et_fixed_nav #main-header, .et_fixed_nav #top-header {
   position: fixed;
}
}

.et_mobile_menu {
   overflow: scroll !important;
   max-height: 83vh;
}


/*Centrer verticalement, section, module*/
.centrer-verticalement {
  display: flex;
  flex-direction: column;
  justify-content: center;

/* Et les déclinaisons avec préfixes pour obtenir un résultat homogène sur les divers navigateurs  */
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
     -moz-box-orient: vertical;
     -moz-box-direction: normal;
      -ms-flex-direction: column;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
     -moz-box-pack: center;
      -ms-flex-pack: center;
}

/* Texte à gauche de hamburger dans le Theme Builder */
.et_mobile_nav_menu:before  {
content: 'MENU';
position: absolute;
right: 40px;
margin-top:5px;
color: #333;
font-size:16px;
}
/* Texte à gauche du hamburger dans Divi 3 */
#et_mobile_nav_menu:before  {
content: 'MENU';
position: absolute;
right: 33px;
bottom:30px;
color: #333;
font-size:16px;
}
/* Icône X dans le menu mobile développé */
.mobile_nav.opened .mobile_menu_bar:before {
content: '\4d';
}
/* Supprime la première ligne du menu mobile*/
.et_mobile_menu {
border-top:0;
}
/* Centrer les éléments du menu mobile */
.et_mobile_menu li {
text-align:center !important;
}
  
.et_mobile_menu li li, .et_mobile_menu li ul {
padding-left:0 !important;
}
/* Rendre le menu mobile pleine largeur */
.et_mobile_menu {
min-width: 50vw;
margin-left: vw;
}
/* Rendre le menu mobile en pleine hauteur */
.et_mobile_menu {
min-height:50vh !important;
min-height: -webkit-fill-available;
padding-top:50px !important;
}
html {
height: -webkit-fill-available;
}
/* Supprimer l'animation pour éviter les retards */
.mobile_nav.opened .et_mobile_menu {
display:block !important;
}

/* début - boutons côte à côte */
.cote-cote-center {
display: flex;
justify-content: center;
flex-wrap: wrap;
gap: 5px;
}

/* boutons côte à côte */
.cote-cote {
display: flex;
flex-wrap: wrap;
gap: 5px;
}
/* fin - boutons côte à côte */



/* Pour désactiver les liens images vers lightbox depuis une galerie - 
 * mettre class CSS cu-lightbox-off dans module galerie *//
.cu-lightbox-off .et_pb_gallery_item a {
    pointer-events: none;
}
.cu-lightbox-off .et_overlay {
    display: none !important;
}
/* fin  - désactiver lien galerie */


/* DEBUT police caracteres perso */
@font-face {
font-family: ‘abies_dynamo_v07_normal_tsdphaseimage‘;
src: url(‘abies_dynamo_v07_normal_tsdphaseimage.eot’);
src: url(‘abies_dynamo_v07_normal_tsdphaseimage.eot?#iefix’) format(’embedded-opentype’),
url(‘abies_dynamo_v07_normal_tsdphaseimage.woff2′) format(‘woff2’),
url(‘abies_dynamo_v07_normal_tsdphaseimage.woff’) format(‘woff’),
url(‘abies_dynamo_v07_normal_tsdphaseimage.ttf’) format(‘truetype’),
url(‘abies_dynamo_v07_normal_tsdphaseimage.svg#svgabies_dynamo_v07_normal_tsdphaseimage‘) format(‘svg’);
}
/* FIN police caracteres perso */